import unittest

from sys import path

# you can restore the following line if you don't have PYTHONPATH set
# path.append('/usr/lib/zope/lib/python')
try:
    import ZopeLite as Zope
except:
    import sys
    print "\nZope could not be imported!"
    print "You probably need to set the enviroment variable PYTHONPATH like in:\n"
    print "  export PYTHONPATH=/usr/lib/zope/lib/python\n"
    sys.exit(1)
Zope.installProduct('IcubeZTester')

from Products.IcubeZTester.zopetester import zopetester
from basicTestCase import basicTestCase
from zopeTestCase import zopeTestCase


if __name__ == '__main__':
    runner = unittest.TextTestRunner()
    suite = unittest.makeSuite(basicTestCase, 'test')
    suite.addTest(unittest.makeSuite(zopeTestCase, 'test'))
    print """

    -------------- test del zopetester -------------

    """
    runner.run(suite)
    
